PROJ = LibDump

OBJS = $(PROJ).OBJ MemoryMappedFile.OBJ

CFLAGS = $(CFLAGS) /W3 /DWIN32_LEAN_AND_MEAN /Fd"$(PROJ).PDB"
LFLAGS =  /FIXED

LIBS =

!if "$(DEBUG)" == "1"
CFLAGS = $(CFLAGS) /YX  /Fp"$(PROJ).PCH" /D_DEBUG /Zi
LFLAGS = $(LFLAGS) /SUBSYSTEM:console /DEBUG /DEBUGTYPE:CV 
!else
CFLAGS = $(CFLAGS) /O1 /DNDEBUG
LFLAGS = $(LFLAGS) /MERGE:.idata=.text
!endif

$(PROJ).EXE: $(OBJS)
    echo >NUL @<<$(PROJ).CRF
$(LFLAGS) $(OBJS) -OUT:$(PROJ).EXE $(LIBS)
<<
    link @$(PROJ).CRF

.cpp.obj:
    CL $(CFLAGS) /c $<
